var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,woman]我能回收钥匙！",
						"choices": [
							{
								"text": "一把黄钥匙100金币",
								"color": [
									255,
									255,
									255,
									1
								],
								"need": "item:yellowKey > 0",
								"action": [
									{
										"type": "setValue",
										"name": "item:yellowKey",
										"operator": "-=",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "100"
									}
								]
							},
							{
								"text": "10把黄钥匙1000金币",
								"color": [
									255,
									255,
									255,
									1
								],
								"need": "item:yellowKey >= 10",
								"action": [
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "1000"
									},
									{
										"type": "setValue",
										"name": "item:yellowKey",
										"operator": "-=",
										"value": "10"
									}
								]
							},
							{
								"text": "下次再说",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					},
					{
						"type": "function",
						"function": "function(){\nif (core.status.hero.statistics.money >= 100) core.plugin.achieve(\"a064\");\nif (core.status.hero.statistics.money >= 1000) core.plugin.achieve(\"a065\");\nif (core.status.hero.statistics.money >= 10000) core.plugin.achieve(\"a066\");\n}"
					}
				]
			}
		],
		"游戏说明": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "游戏简介",
						"action": [
							"h5版本是按照flash版复刻，其中部分对话使用的魔塔盛宴的版本。",
							"地图复制：数码宝贝51、641\n部分事件复制：小艾\n默认背景音乐：无；可在切换音乐处设置\n游戏音乐、怪物显伤等开关可以在系统设置里打开和关闭",
							"想要获得更详细的介绍，可以在菜单——游戏信息——游戏主页中进入本塔的评论区，查看置顶评论。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "游戏结局",
						"action": [
							{
								"type": "if",
								"condition": "flag:addhp",
								"true": [
									"疯狂加血模式下，本塔有且仅有一个专属结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								],
								"false": [
									"本塔共有四个结局。\n在原版魔塔中，使用下楼器和破墙镐（或下楼器和地震卷轴）可以封印魔王，因此，这个版本如保留下楼器和破墙镐（或下楼器和地震卷轴）击败魔王，即可打出True End，否则为Normal End。",
									"不论是Normal End还是True End，都分为穿墙结局和不穿墙结局，如果从未使用对话穿墙，可以打出不穿墙结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								]
							}
						]
					},
					{
						"text": "对话穿墙",
						"action": [
							"在与老人对话后，或购买商人的物品并再次对话后，可以立即清除，或走一步再清除身边的某一堵墙（不必是暗墙）。",
							"这期间不能瞬移、打怪、开门和使用道具，否则穿墙会失败。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "切换音乐",
						"action": [
							{
								"type": "choices",
								"choices": [
									{
										"text": "精灵石 3个小萝莉在一起",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "1"
											},
											{
												"type": "playBgm",
												"name": "xiaoluoli.mp3"
											}
										]
									},
									{
										"text": "精灵石 晚上家里和镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "2"
											},
											{
												"type": "playBgm",
												"name": "wan.mp3"
											}
										]
									},
									{
										"text": "精灵石 黄昏的镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "3"
											},
											{
												"type": "playBgm",
												"name": "huang.mp3"
											}
										]
									},
									{
										"text": "仙境传说-守候永恒的爱",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "4"
											},
											{
												"type": "playBgm",
												"name": "xian.mp3"
											}
										]
									},
									{
										"text": "精灵石 精灵石传说",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "5"
											},
											{
												"type": "playBgm",
												"name": "chuanshuo.mp3"
											}
										]
									},
									{
										"text": "精灵石 ed【神曲】",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "6"
											},
											{
												"type": "playBgm",
												"name": "ed.mp3"
											}
										]
									},
									{
										"text": "精灵石 幸福之花",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "7"
											},
											{
												"type": "playBgm",
												"name": "hua.mp3"
											}
										]
									},
									{
										"text": "精灵石 迷宫",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "8"
											},
											{
												"type": "playBgm",
												"name": "migong.mp3"
											}
										]
									},
									{
										"text": "离开",
										"action": []
									}
								]
							},
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "返回游戏",
						"action": []
					}
				]
			}
		],
		"对话": [
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "2",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'谢谢你救了我，为了感谢你的帮助请收下这些礼物。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话2",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "309"
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你是否注意到你对话之后会解锁一些成就？'"
							},
							{
								"type": "setValue",
								"name": "flag:对话4",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "310"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 4)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'购买物品之后再与商人对话 他可以缓解你的寂寞'"
									},
									{
										"type": "setValue",
										"name": "flag:对话6",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "311"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'50层魔塔共有243个黄门 价值43700生命值的血瓶 17个双手剑士 以及1把神圣剑'"
									},
									{
										"type": "setValue",
										"name": "flag:对话602",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "312"
									}
								]
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你的攻击比敌人防御高时你就能和他战斗 敌人防御比你攻击高时你就会退缩'"
							},
							{
								"type": "setValue",
								"name": "flag:对话7",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "313"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'本塔有很多成就 你都找到了吗'"
							},
							{
								"type": "setValue",
								"name": "flag:对话12",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "314"
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'十字架对兽人和吸血鬼是神器 它会给你一个成就'"
							},
							{
								"type": "setValue",
								"name": "flag:对话15",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "315"
							}
						]
					},
					{
						"case": "16",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'整个魔塔有1个可以确认所有历史已获得成就的地方'"
							},
							{
								"type": "setValue",
								"name": "flag:对话16",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "316"
							}
						]
					},
					{
						"case": "18",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'在这区域不立即喝下圣水 就会错过赏味期限 切记前人教训'"
							},
							{
								"type": "setValue",
								"name": "flag:对话18",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "317"
							}
						]
					},
					{
						"case": "21",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'大法师住在25楼 他是魔塔的主人 以你现在的状态去攻击他简直就是自杀 但是自杀也会获得一个成就'"
							},
							{
								"type": "setValue",
								"name": "flag:对话21",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "318"
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我没有什么可说的 但有不止一个确切的成就藏在这些墙里'"
							},
							{
								"type": "setValue",
								"name": "flag:对话23",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "319"
							}
						]
					},
					{
						"case": "27",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果你比较成功 那么恭喜你 你一定有着很高的成就'"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "320"
							},
							{
								"type": "if",
								"condition": "(status:hp===1500)",
								"true": [
									{
										"type": "if",
										"condition": "(status:atk===80)",
										"true": [
											{
												"type": "if",
												"condition": "(status:def===98)",
												"true": [
													{
														"type": "if",
														"condition": "(item:yellowKey===5)",
														"true": [
															{
																"type": "if",
																"condition": "(item:blueKey===1)",
																"true": [
																	{
																		"type": "if",
																		"condition": "(item:redKey===0)",
																		"true": [
																			{
																				"type": "setValue",
																				"name": "flag:content",
																				"value": "'在现阶段，如果你的生命、攻击、防御分别达到1500、80、98，持有5把黄钥匙和1把蓝钥匙，那么祝贺你，你的前期是比较成功的。'"
																			},
																			{
																				"type": "function",
																				"function": "function(){\ncore.plugin.achieve(\"a403\");\n}"
																			}
																		]
																	}
																]
															}
														]
													}
												]
											}
										]
									}
								]
							},
							{
								"type": "setValue",
								"name": "flag:对话27",
								"value": "1"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'你居然买了我的钥匙 那我就告诉你一个惊喜 你获得了一个成就'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3102",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "321"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'双手剑士的攻击力太高了 你最好防杀他以获取成就'"
									},
									{
										"type": "setValue",
										"name": "flag:对话31",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "322"
									}
								]
							}
						]
					},
					{
						"case": "33",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'别匆忙 拿着这个成就'"
							},
							{
								"type": "setValue",
								"name": "flag:对话33",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "323"
							}
						]
					},
					{
						"case": "36",
						"action": [
							{
								"type": "choices",
								"text": "\t[老人,man]我有一个成就，你出0金币就卖给你",
								"choices": [
									{
										"text": "买",
										"action": []
									},
									{
										"text": "不买",
										"action": [
											{
												"type": "exit"
											}
										]
									}
								]
							},
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a060\");\n}"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "324"
							},
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'感谢惠顾！'"
							},
							{
								"type": "setValue",
								"name": "flag:对话36",
								"value": "1"
							}
						]
					},
					{
						"case": "37",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你需要用地震卷轴来取走这里的宝物 当然你也可以用它拿49层的宝石 只要你愿意'"
							},
							{
								"type": "setValue",
								"name": "flag:对话37",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "325"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'存放圣剑的房间的门坏了 你需要用镐把门打烂'"
							},
							{
								"type": "setValue",
								"name": "flag:对话38",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "326"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'谜题 大黄门钥匙 拥有特殊条件的成就就会出现'"
									},
									{
										"type": "setValue",
										"name": "flag:对话39",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "327"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'你居然买了我的钥匙 那我就告诉你一个秘密 秘密'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3902",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "328"
									}
								]
							}
						]
					},
					{
						"case": "42",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'巫师会让你受到伤害 在2个魔法警卫间通过会使你非常痛苦'"
							},
							{
								"type": "setValue",
								"name": "flag:对话42",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "329"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg3 == 3)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'神圣盾能防御魔法攻击 也可以让你获得一个成就'"
									},
									{
										"type": "setValue",
										"name": "flag:对话45",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "330"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'44楼被藏在不知道什么地方 你可以告诉我吗'"
									},
									{
										"type": "setValue",
										"name": "flag:对话4502",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "flag:101",
										"value": "331"
									}
								]
							}
						]
					},
					{
						"case": "46",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'41层其实是左右对称的 你应该能发现 只要对着它使用地震卷轴 它就左右对称了'"
							},
							{
								"type": "setValue",
								"name": "flag:对话46",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "332"
							}
						]
					},
					{
						"case": "47",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果要打败魔龙你需要 是个伟大的勇士'"
							},
							{
								"type": "setValue",
								"name": "flag:对话47",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "333"
							}
						]
					},
					{
						"case": "48",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'像道具栏中十字架一样的形状是一种几何图形 它什么效果都没有'"
							},
							{
								"type": "setValue",
								"name": "flag:对话48",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:101",
								"value": "334"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "if",
				"condition": "flag:arg4",
				"true": [
					{
						"type": "function",
						"function": "function(){\ncore.plugin.achieve(\"a053\");\n}"
					},
					"\t[商人,woman]${flag:content}"
				],
				"false": [
					{
						"type": "function",
						"function": "function(){\ncore.plugin.achieve(\"a054\");\n}"
					},
					"\t[老人,man]${flag:content}"
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.plugin.achieve('a'+core.getFlag('101'));\n}"
			},
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "2",
						"action": [
							{
								"type": "playSound",
								"name": "item.mp3"
							},
							{
								"type": "addValue",
								"name": "status:money",
								"value": "1000"
							},
							{
								"type": "tip",
								"text": "获得1000金币"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "addValue",
								"name": "item:book",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "hide",
				"loc": [
					"core.nextX()",
					"core.nextY()"
				],
				"remove": true,
				"time": 500
			}
		],
		"商人": [
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'五把黄钥匙'"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "800"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把红钥匙'"
							}
						]
					},
					{
						"case": "15",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙, 四把黄钥匙'"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'大甩卖! 三把黄钥匙只要200金币, 先到先得!'"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "2000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'三把蓝钥匙'"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'你出1000金币, 我就帮你回复2000点生命值'"
							}
						]
					},
					{
						"case": "47",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "4000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'地震卷轴'"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "choices",
				"text": "\t[商人,woman]${flag:alt ? flag:item : '我有'+flag:item+', 你出'+flag:money+'金币就卖给你'}${core.plugin.achieve(\"a203\")}",
				"choices": [
					{
						"text": "我太需要了",
						"action": [
							{
								"type": "if",
								"condition": "(status:money >= flag:money)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a058\");\n}"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money"
									},
									{
										"type": "switch",
										"condition": "parseInt(core.status.floorId.substring(2))",
										"caseList": [
											{
												"case": "6",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "7",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "5"
													}
												]
											},
											{
												"case": "12",
												"action": [
													{
														"type": "setValue",
														"name": "item:redKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "15",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "31",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "4"
													},
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "38",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "39",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "45",
												"action": [
													{
														"type": "playSound",
														"name": "item.mp3"
													},
													{
														"type": "setValue",
														"name": "status:hp",
														"operator": "+=",
														"value": "2000"
													},
													{
														"type": "setValue",
														"name": "flag:生命历史恢复",
														"operator": "+=",
														"value": "2000"
													}
												]
											},
											{
												"case": "47",
												"action": [
													{
														"type": "setValue",
														"name": "item:earthquake",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "default",
												"action": []
											}
										]
									},
									{
										"type": "function",
										"function": "function(){\nvar name = core.status.floorId + '@' + core.nextX() + '@' + core.nextY() + '@' + 'A';\ncore.setFlag(name, 1);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.plugin.ac1()\n}"
									}
								],
								"false": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a265\");\n}"
									},
									"\t[商人,woman]你的金币不够${flag:money}枚，无法交易！"
								]
							}
						]
					},
					{
						"text": "下次再说",
						"action": []
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:alt",
				"value": "0"
			}
		],
		"商店": [
			{
				"type": "function",
				"function": "function(){\ncore.plugin.ac1()\n}"
			},
			{
				"type": "function",
				"function": "function(){\ncore.plugin.achieve(\"a055\");\n}"
			},
			{
				"type": "if",
				"condition": "(flag:times1===0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:times1",
						"value": "1"
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:times1>=11)",
				"true": [
					{
						"type": "function",
						"function": "function(){\ncore.plugin.achieve(\"a158\");\n}"
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:money1",
				"value": "20+10*flag:times1*(flag:times1-1)"
			},
			{
				"type": "switch",
				"condition": "flag:ratio",
				"caseList": [
					{
						"case": "1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a151\");\n}"
							}
						]
					},
					{
						"case": "2",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a152\");\n}"
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a153\");\n}"
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a154\");\n}"
							}
						]
					}
				]
			},
			{
				"type": "choices",
				"text": "\t[祭坛,blueShop]如果供奉${flag:money1}金币, 便可以增加你的力量, 你想要什么呢…",
				"choices": [
					{
						"text": "生命+${100*flag:times1}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a059\");\ncore.plugin.achieve(\"a157\");\n}"
									},
									{
										"type": "setValue",
										"name": "status:hp",
										"operator": "+=",
										"value": "100*flag:times1"
									},
									{
										"type": "setValue",
										"name": "flag:生命历史恢复",
										"operator": "+=",
										"value": "100*flag:times1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"loc": [
											0,
											0
										],
										"floorId": "MT0"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a265\");\n}"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "攻击+${2*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a059\");\ncore.plugin.achieve(\"a155\");\n}"
									},
									{
										"type": "setValue",
										"name": "status:atk",
										"operator": "+=",
										"value": "2*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"loc": [
											0,
											0
										],
										"floorId": "MT0"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a265\");\n}"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "防御+${4*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a059\");\ncore.plugin.achieve(\"a156\");\n}"
									},
									{
										"type": "setValue",
										"name": "status:def",
										"operator": "+=",
										"value": "4*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"loc": [
											0,
											0
										],
										"floorId": "MT0"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a265\");\n}"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "离开",
						"action": []
					}
				]
			}
		],
		"记事本": [
			{
				"type": "function",
				"function": "function(){\ncore.plugin.achieve(\"a271\");\ncore.createCanvas('act', 0, 0, 352, 352, 142);\n}"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "function",
						"function": "function(){\nlet page = core.getFlag('页面', 0);\nlet range = 0;\nlet list = core.getFlag('随机奖励表');\nif (core.plugin.AchievementsFlags('a400', true) && core.plugin.AchievementsFlags('a302')) range = core.plugin.achievements.length;\nelse range = core.plugin.hideachieve;\nif (!core.isReplaying()) {\n\tcore.clearMap('act');\n\tcore.fillRoundRect('act', 2, 2, 348, 348, 10, 'black');\n\tcore.strokeRoundRect('act', 3, 3, 346, 346, 10, '#E4B600', 6);\n\tcore.setFlag('翻页', 0);\n\tif (page === 0) core.setFlag('翻页', 1);\n\telse {\n\t\tcore.fillPolygon('act', [\n\t\t\t[64, 288],\n\t\t\t[64, 320],\n\t\t\t[32, 304]\n\t\t], 'yellow');\n\t\tcore.strokePolygon('act', [\n\t\t\t[64, 288],\n\t\t\t[64, 320],\n\t\t\t[32, 304]\n\t\t], 'white', 2);\n\t}\n\tif (page >= range - 10) core.setFlag('翻页', 9);\n\telse {\n\t\tcore.fillPolygon('act', [\n\t\t\t[288, 288],\n\t\t\t[288, 320],\n\t\t\t[320, 304]\n\t\t], 'yellow');\n\t\tcore.strokePolygon('act', [\n\t\t\t[288, 288],\n\t\t\t[288, 320],\n\t\t\t[320, 304]\n\t\t], 'white', 2);\n\t}\n\n\tlet a = Object.keys(core.getLocalStorage(\"achievements:\" + core.firstData.name, {})).length //历史成就总数\n\tlet b = Object.keys(core.getFlag('achievements')).length //当前成就总数\n\tlet c = 0; //非隐藏成就总数\n\tlet d = 0; //历史非隐藏成就总数\n\tfor (let e = 0; e < core.plugin.hideachieve; e++) {\n\t\tif (core.plugin.AchievementsFlags(e)) c++;\n\t\tif (core.plugin.AchievementsFlags(e, true)) d++;\n\t}\n\tlet con = 0;\n\tif (core.plugin.AchievementsFlags('a400', true)) con += 1;\n\tif (core.getFlag('历史成就')) con += 2;\n\n\tlet text = '你完成了0个成就'\n\n\tif (con === 0) text = '你完成了' + c + '个成就';\n\tif (con === 1) text = '你完成了' + c + '个成就';\n\tif (con === 2) text = '你过去完成了' + d + '个成就';\n\tif (con === 3) text = '你过去完成了' + a + '个成就';\n\n\tcore.drawTextContent('act', '（' + (Math.floor(page / 10) + 1) + '/' + Math.ceil(range / 10) + '）\\u000a' + text, { \"left\": 0, \"top\": 280, \"align\": \"center\", \"fontSize\": 16, \"lineHeight\": 24, \"color\": [255, 255, 255, 1] })\n\tfor (let a1 = 0; a1 < 10 && range > a1 + page; a1++) {\n\t\tcore.drawTextContent('act', core.plugin.achievements[a1 + page].name, { \"left\": 48, \"top\": 16 + a1 * 26, \"align\": \"left\", \"fontSize\": 16, \"lineHeight\": 26, \"color\": [255, 215, 0, 1], \"bold\": true });\n\t\tcore.drawTextContent('act', core.plugin.achievements[a1 + page].text, { \"left\": 192, \"top\": 11 + a1 * 26, \"align\": \"left\", \"fontSize\": 8, \"lineHeight\": 24, \"color\": [255, 255, 255, 1] });\n\t\tlet text = '';\n\t\tif (core.getFlag('模式') === '随机模式') {\n\t\t\tlet a = list[a1 + page];\n\t\t\tif (typeof a.type === 'string') {\n\t\t\t\ttext = '奖励：' + a.type + '+' + a.number;\n\t\t\t} else text = '';\n\t\t} else text = '成就点数：' + core.plugin.achievements[a1 + page].point;\n\t\tcore.drawTextContent('act', text, { \"left\": 192, \"top\": 23 + a1 * 26, \"align\": \"left\", \"fontSize\": 8, \"lineHeight\": 24, \"color\": [255, 160, 0, 1] });\n\t\tif (core.plugin.AchievementsFlags(a1 + page, core.getFlag('历史成就', false))) {\n\t\t\tlet point = core.plugin.achievements[a1 + page].point;\n\t\t\tlet icon = '';\n\t\t\tif (point === 0) icon = 'X10147';\n\t\t\telse if (point >= 8) icon = 'X10147';\n\t\t\telse if (point <= 3) icon = 'X10149';\n\t\t\telse icon = 'X10148';\n\t\t\tcore.drawIcon('act', icon, 16, 11 + a1 * 26, 32, 32);\n\t\t}\n\t}\n}\n}"
					},
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "keyboard",
								"keycode": "37",
								"action": [
									{
										"type": "if",
										"condition": "(flag:翻页 !==1)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:页面",
												"operator": "-=",
												"value": "10"
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "39",
								"action": [
									{
										"type": "if",
										"condition": "(flag:翻页 !==9)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:页面",
												"operator": "+=",
												"value": "10"
											}
										]
									}
								]
							},
							{
								"case": "mouse",
								"px": [
									32,
									64
								],
								"py": [
									288,
									320
								],
								"action": [
									{
										"type": "if",
										"condition": "(flag:翻页 !==1)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:页面",
												"operator": "-=",
												"value": "10"
											}
										]
									}
								]
							},
							{
								"case": "mouse",
								"px": [
									288,
									320
								],
								"py": [
									288,
									320
								],
								"action": [
									{
										"type": "if",
										"condition": "(flag:翻页 !==9)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:页面",
												"operator": "+=",
												"value": "10"
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "13,32",
								"action": [
									{
										"type": "break",
										"n": 1
									}
								]
							},
							{
								"case": "mouse",
								"px": [
									16,
									136
								],
								"py": [
									225,
									246
								],
								"action": [
									{
										"type": "if",
										"condition": "((!core.plugin.AchievementsFlags(\"a299\"))&&(flag:页面===290))",
										"true": [
											{
												"type": "function",
												"function": "function(){\n//core.status.route.push(\"achievement:a299\");\ncore.plugin.achieve(\"a299\");\n}"
											},
											{
												"type": "continue",
												"n": 1
											}
										],
										"false": []
									}
								]
							},
							{
								"case": "mouse",
								"px": [
									96,
									256
								],
								"py": [
									0,
									352
								],
								"action": [
									{
										"type": "break",
										"n": 1
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:页面",
				"operator": "min=",
				"value": "390"
			},
			{
				"type": "setValue",
				"name": "flag:翻页",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "flag:历史成就",
				"value": "false"
			},
			{
				"type": "function",
				"function": "function(){\ncore.deleteCanvas('act');\n}"
			}
		],
		"批量获取": [
			{
				"type": "setValue",
				"name": "flag:临时字符串",
				"value": "\"\""
			},
			{
				"type": "if",
				"condition": "(flag:获取黄钥匙!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"黄钥匙*${flag:获取黄钥匙}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取蓝钥匙!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"蓝钥匙*${flag:获取蓝钥匙}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取红钥匙!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"红钥匙*${flag:获取红钥匙}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取红血瓶!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"红血瓶*${flag:获取红血瓶}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取蓝血瓶!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"蓝血瓶*${flag:获取蓝血瓶}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取红宝石!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"红宝石*${flag:获取红宝石}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取蓝宝石!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"蓝宝石*${flag:获取蓝宝石}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取绿宝石!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"绿宝石*${flag:获取绿宝石}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取黄宝石!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"黄宝石*${flag:获取黄宝石}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取圣水!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"圣水*${flag:获取圣水}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取大黄门钥匙!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"大黄门钥匙*${flag:获取大黄门钥匙}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取对称飞!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"对称飞*${flag:获取对称飞}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取炸弹!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"炸弹*${flag:获取炸弹}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取上楼器!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"上楼器*${flag:获取上楼器}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取下楼器!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"下楼器*${flag:获取下楼器}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取破墙镐!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"破墙镐*${flag:获取破墙镐}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取地震卷轴!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"地震卷轴*${flag:获取地震卷轴}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取幸运金币!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"幸运金币*${flag:获取幸运金币}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取记事本!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"记事本*${flag:获取记事本}，\""
					},
					{
						"type": "comment",
						"text": "这里需要手动修改哦"
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:获取金钱!==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"金币*${flag:获取金币}，\""
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:临时字符串!==\"\")",
				"true": [
					{
						"type": "function",
						"function": "function(){\nlet vars = core.getFlag('临时字符串');\ncore.setFlag('临时字符串', vars.slice(0, -1))\n}"
					},
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"operator": "+=",
						"value": "\"。\""
					}
				],
				"false": [
					{
						"type": "setValue",
						"name": "flag:临时字符串",
						"value": "\"居然是0耶！\""
					}
				]
			},
			"总计获得以下道具：\n${flag:临时字符串}",
			{
				"type": "setValue",
				"name": "item:yellowKey",
				"operator": "+=",
				"value": "flag:获取黄钥匙"
			},
			{
				"type": "setValue",
				"name": "flag:获取黄钥匙",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:blueKey",
				"operator": "+=",
				"value": "flag:获取蓝钥匙"
			},
			{
				"type": "setValue",
				"name": "flag:获取蓝钥匙",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:redKey",
				"operator": "+=",
				"value": "flag:获取红钥匙"
			},
			{
				"type": "setValue",
				"name": "flag:获取红钥匙",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:redPotion",
				"operator": "+=",
				"value": "flag:获取红血瓶"
			},
			{
				"type": "setValue",
				"name": "flag:获取红血瓶",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:bluePotion",
				"operator": "+=",
				"value": "flag:获取蓝血瓶"
			},
			{
				"type": "setValue",
				"name": "flag:获取蓝血瓶",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:redGem",
				"operator": "+=",
				"value": "flag:获取红宝石"
			},
			{
				"type": "setValue",
				"name": "flag:获取红宝石",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:blueGem",
				"operator": "+=",
				"value": "flag:获取蓝宝石"
			},
			{
				"type": "setValue",
				"name": "flag:获取蓝宝石",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:greenGem",
				"operator": "+=",
				"value": "flag:获取绿宝石"
			},
			{
				"type": "setValue",
				"name": "flag:获取绿宝石",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:yellowGem",
				"operator": "+=",
				"value": "flag:获取黄宝石"
			},
			{
				"type": "setValue",
				"name": "flag:获取黄宝石",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:superPotion",
				"operator": "+=",
				"value": "flag:获取圣水"
			},
			{
				"type": "setValue",
				"name": "flag:获取圣水",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:bigKey",
				"operator": "+=",
				"value": "flag:获取大黄门钥匙"
			},
			{
				"type": "setValue",
				"name": "flag:获取大黄门钥匙",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:centerFly",
				"operator": "+=",
				"value": "flag:获取对称飞"
			},
			{
				"type": "setValue",
				"name": "flag:获取对称飞",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:bomb",
				"operator": "+=",
				"value": "flag:获取炸弹"
			},
			{
				"type": "setValue",
				"name": "flag:获取炸弹",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:upFly",
				"operator": "+=",
				"value": "flag:获取上楼器"
			},
			{
				"type": "setValue",
				"name": "flag:获取上楼器",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:downFly",
				"operator": "+=",
				"value": "flag:获取下楼器"
			},
			{
				"type": "setValue",
				"name": "flag:获取下楼器",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:pickaxe",
				"operator": "+=",
				"value": "flag:获取破墙镐"
			},
			{
				"type": "setValue",
				"name": "flag:获取破墙镐",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:earthquake",
				"operator": "+=",
				"value": "flag:获取地震卷轴"
			},
			{
				"type": "setValue",
				"name": "flag:获取地震卷轴",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:coin",
				"operator": "+=",
				"value": "flag:获取幸运金币"
			},
			{
				"type": "setValue",
				"name": "flag:获取幸运金币",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "item:wand",
				"operator": "+=",
				"value": "flag:获取记事本"
			},
			{
				"type": "setValue",
				"name": "flag:获取记事本",
				"value": "0"
			},
			{
				"type": "if",
				"condition": "false",
				"true": [
					"\t[史莱姆娘,elemental]此处需要手动调整哦。"
				]
			},
			{
				"type": "setValue",
				"name": "status:money",
				"operator": "+=",
				"value": "flag:获取金钱"
			},
			{
				"type": "setValue",
				"name": "flag:获取金钱",
				"value": "0"
			}
		],
		"木牌商店": [
			{
				"type": "if",
				"condition": "(flag:模式==='随机模式')",
				"true": [
					{
						"type": "function",
						"function": "function(){\nlet b = core.getFlag('木牌商店');\nlet text = '';\nif ([\"瞬移\", \"黄钥匙\", \"蓝钥匙\", \"红钥匙\", \"大黄门钥匙\"].includes(b)) {\n\tlet count = [0, 0, 0, 0];\n\tlet c = core.getFlag('随机奖励表').forEach(function (e, i, a) {\n\t\tif (e.type === b) {\n\t\t\tcount[0]++;\n\t\t\tcount[1] += e.number;\n\t\t\tif (e.get) {\n\t\t\t\tcount[2]++;\n\t\t\t\tcount[3] += e.number;\n\t\t\t}\n\t\t}\n\t});\n\tif (b === \"瞬移\") b = \"对称飞行器\";\n\ttext += '在总计' + count[0] + '个成就当中，\\u000a有' + count[1] + '个' + b + '奖励。\\u000a其中：\\u000a你已经达成了' + count[2] + '个成就，\\u000a总计获得了' + count[3] + '个' + b + '。';\n} else {\n\tlet c = core.getFlag('随机奖励表').find(item => item.type === b);\n\tif (c.get === true) text += '你已获得该道具！\\u000a';\n\telse text += '该奖励所对应的成就是：\\u000a';\n\tlet a = core.plugin.achievements.find(item => item.flag === c.flag);\n\ttext += \"\\\\c[20]\" + a.name + \"\\u000a\\\\c\" + a.text;\n}\ncore.setFlag('101', text);\n}"
					},
					"${flag:101}"
				],
				"false": [
					{
						"type": "confirm",
						"text": "你需要${flag:arg1}点成就点来购买该道具。\n确认购买吗？\n（你现在拥有${flag:achievePoint}点成就点。）",
						"yes": [
							{
								"type": "if",
								"condition": "(flag:achievePoint>=flag:arg1)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a261\");\n}"
									},
									{
										"type": "setValue",
										"name": "flag:achievePoint",
										"operator": "-=",
										"value": "flag:arg1"
									},
									{
										"type": "hide"
									}
								],
								"false": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a265\");\n}"
									},
									"你的成就点不足。"
								]
							}
						],
						"no": []
					}
				]
			}
		],
		"快捷成就商店": [
			{
				"type": "if",
				"condition": "(flag:模式==='随机模式')",
				"true": [
					"\t[null,N335]你正在游玩随机模式，该模式没有快捷商店。",
					{
						"type": "if",
						"condition": "(!core.plugin.AchievementsFlags(\"a264\"))",
						"true": [
							"\t[N335]但是我知道你想要什么。",
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a264\")\n}"
							}
						]
					}
				],
				"false": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "if",
								"condition": "((!flag:人在3楼)&&core.nearStair())",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.plugin.achieve(\"a264\")\n}"
									}
								]
							},
							{
								"type": "choices",
								"text": "\t[null,N335]是否要使用成就点换取属性？\n你现在有${flag:achievePoint}点成就点。",
								"choices": [
									{
										"text": "${2*(flag:mut?10:1)}成就点→${100*(flag:mut?10:1)}生命值",
										"need": "flag:achievePoint >=(2*(flag:mut?10:1))&&(core.nearStair()||flag:人在3楼)",
										"action": [
											{
												"type": "setValue",
												"name": "status:hp",
												"operator": "+=",
												"value": "100*(flag:mut?10:1)"
											},
											{
												"type": "setValue",
												"name": "flag:achievePoint",
												"operator": "-=",
												"value": "2*(flag:mut?10:1)"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.achieve(\"a260\");\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.ac1();\n}"
											}
										]
									},
									{
										"text": "${3*(flag:mut?10:1)}成就点→${1*(flag:mut?10:1)}攻击力",
										"need": "flag:achievePoint >=3*(flag:mut?10:1)&&(core.nearStair()||flag:人在3楼)",
										"action": [
											{
												"type": "setValue",
												"name": "status:atk",
												"operator": "+=",
												"value": "1*(flag:mut?10:1)"
											},
											{
												"type": "setValue",
												"name": "flag:achievePoint",
												"operator": "-=",
												"value": "3*(flag:mut?10:1)"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.achieve(\"a260\");\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.ac1();\n}"
											}
										]
									},
									{
										"text": "${3*(flag:mut?10:1)}成就点→${1*(flag:mut?10:1)}防御力",
										"need": "flag:achievePoint >=3*(flag:mut?10:1)&&(core.nearStair()||flag:人在3楼)",
										"action": [
											{
												"type": "setValue",
												"name": "status:def",
												"operator": "+=",
												"value": "1*(flag:mut?10:1)"
											},
											{
												"type": "setValue",
												"name": "flag:achievePoint",
												"operator": "-=",
												"value": "3*(flag:mut?10:1)"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.achieve(\"a260\");\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.plugin.ac1();\n}"
											}
										]
									},
									{
										"text": "切换兑换倍率",
										"action": [
											{
												"type": "setValue",
												"name": "flag:mut",
												"value": "(!flag:mut)"
											}
										]
									},
									{
										"text": "我要换道具！",
										"need": "core.nearStair()||flag:人在3楼",
										"action": [
											{
												"type": "function",
												"function": "function(){\nlet a = [core.status.floorId, core.status.hero.loc];\ncore.setFlag('传送寄存器', a);\n}"
											},
											{
												"type": "changeFloor",
												"floorId": "EX",
												"loc": [
													6,
													7
												],
												"direction": "down"
											},
											{
												"type": "setValue",
												"name": "flag:人在3楼",
												"value": "false"
											},
											{
												"type": "exit"
											}
										]
									},
									{
										"text": "什么都不做",
										"action": [
											{
												"type": "setValue",
												"name": "flag:人在3楼",
												"value": "false"
											},
											{
												"type": "break",
												"n": 1
											}
										]
									}
								]
							}
						]
					}
				]
			}
		],
		"蓝象计数": [
			{
				"type": "if",
				"condition": "(!switch:E)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:蓝象对话",
						"operator": "-=",
						"value": "1"
					},
					{
						"type": "setValue",
						"name": "switch:E",
						"value": "true"
					},
					{
						"type": "if",
						"condition": "(flag:蓝象对话<=0)",
						"true": [
							{
								"type": "function",
								"function": "function(){\ncore.plugin.achieve(\"a262\");\n}"
							}
						]
					}
				]
			}
		]
	}
}