main.floors.MT25=
{
    "floorId": "MT25",
    "title": "魔塔 第25层",
    "name": "第 25 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 3,
    "defaultGround": "ground",
    "bgm": "only2.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,9": [
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a249\");\n}"
            },
            "\t[穞堵臸猭畍,blackMagician]杀死入侵者",
            {
                "type": "hide",
                "time": 0
            }
        ],
        "6,6": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "if",
                    "condition": "(!core.canBattle(null,6,6))",
                    "true": [
                        {
                            "type": "function",
                            "function": "function(){\ncore.plugin.achieve(\"a407\")\n}"
                        }
                    ],
                    "false": []
                },
                {
                    "type": "battle"
                },
                {
                    "type": "playSound",
                    "name": "door.mp3"
                },
                {
                    "type": "setBlock",
                    "number": "23",
                    "loc": [
                        [
                            4,
                            8
                        ]
                    ]
                },
                {
                    "type": "setBlock",
                    "number": "23",
                    "loc": [
                        [
                            5,
                            8
                        ]
                    ]
                },
                {
                    "type": "setBlock",
                    "number": "23",
                    "loc": [
                        [
                            7,
                            8
                        ]
                    ]
                },
                {
                    "type": "setBlock",
                    "number": "23",
                    "loc": [
                        [
                            8,
                            8
                        ]
                    ]
                },
                {
                    "type": "hide",
                    "loc": [
                        [
                            6,
                            9
                        ]
                    ],
                    "time": 0
                },
                {
                    "type": "hide",
                    "remove": true
                }
            ]
        }
    },
    "changeFloor": {
        "1,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "2,10": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,  0,  1,  1,  1,  1,  1,  0,  0,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1,  0,  1,  1,  0,  0,  0,  0,  0,  1,  1,  0,  1],
    [  1,  0,  1,  0,  0,  1,  0,  1,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  0,  0,247,  0,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  0,  1,  0,  1,  0,  0,  1,  0,  1],
    [  1,  0,  1,  1,  0,  0,  0,  0,  0,  1,  1,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1,  0, 88,  0,  1,  1, 83,  1,  1,  0,  0,  0,  1],
    [  1, 87,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        2,
        11
    ],
    "downFloor": [
        2,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}