main.floors.MT50=
{
    "floorId": "MT50",
    "title": "魔塔 第50层",
    "name": "第 50 层",
    "width": 13,
    "height": 13,
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,123,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,335,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "rave.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            "\t[hero]你怎会在这里！你到底是谁？",
            "\t[小偷,thief]我在这里只有一个理由，那就是…",
            {
                "type": "hide",
                "time": 500
            },
            {
                "type": "setBlock",
                "number": "249"
            },
            {
                "type": "show",
                "time": 500
            },
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a219\");\n}"
            },
            "\t[hero]啊！你就是魔王！你怎么还活着？",
            "\t[redKing]我是不会死的。以前我只是对你的能力做测试而已。",
            "\t[hero]什么？你这是什么意思？你为什么要做这样的事情？",
            "\t[redKing]神圣剑 是你拥有的武器，智慧权杖 是我所拥有的武器。传说中说过无论谁使用它们都必需要有足够的智慧，且剑只能被真正的战士使用。",
            "\t[hero]如你所说我就是那个战士",
            "\t[redKing]是的，你是最合适的人选。但你刚到魔塔时，你的能力还不足以支配神圣剑。因此我在塔内安排了各类机关，让你通过战斗直到可以控制神圣剑。",
            "\t[hero]很好，那么外面传说有一个公主被困在魔塔，就是为了把我骗到这里。是这样的吗？",
            "\t[redKing]是的。现在如果我们能够合作那么闹剧就结束了。现在让我们一起用权杖破坏神圣剑，这样伟大的时代就要降临了。",
            "\t[hero]我不会让你毁了神圣剑, 让黑暗降临的。"
        ],
        "7,6": [
            {
                "type": "insert",
                "name": "蓝象计数"
            },
            {
                "type": "if",
                "condition": "(flag:模式==='随机模式')",
                "true": [
                    "\t[N335]还有没拿到的奖励吗？",
                    {
                        "type": "choices",
                        "text": "\t[ ,N335]你要做什么？",
                        "choices": [
                            {
                                "text": "进入道具兑换店",
                                "action": [
                                    {
                                        "type": "function",
                                        "function": "function(){\nlet a = [core.status.floorId, core.status.hero.loc];\ncore.setFlag('传送寄存器', a);\n}"
                                    },
                                    {
                                        "type": "changeFloor",
                                        "floorId": "EX",
                                        "loc": [
                                            6,
                                            7
                                        ],
                                        "direction": "down"
                                    }
                                ]
                            },
                            {
                                "text": "无事可做",
                                "action": []
                            }
                        ]
                    }
                ],
                "false": [
                    "\t[N335]这是你最后的兑换成就点数的机会了。",
                    {
                        "type": "setValue",
                        "name": "flag:人在3楼",
                        "value": "true"
                    },
                    {
                        "type": "function",
                        "function": "function(){\ncore.plugin.achieve(\"a008\");\n}"
                    },
                    {
                        "type": "openShop",
                        "id": "aShop",
                        "open": true
                    }
                ]
            }
        ]
    },
    "changeFloor": {},
    "afterBattle": {
        "6,5": [
            "\t[魔王,redKing]你是如此的强大…居然能打败我…但是你封印不了我…我还会复活的…哈哈哈哈…",
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve('a400')\nlet a = []\nfor (let b = 0; b < 400; b++) a.push(b);\nif (core.plugin.AchievementsFlags(a)) core.setFlag('完美通关', true);\n}"
            },
            {
                "type": "if",
                "condition": "flag:完美通关",
                "true": [
                    {
                        "type": "function",
                        "function": "function(){\ncore.plugin.achieve('a410')\n}"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:模式",
                        "operator": "+=",
                        "value": "'全成就通关'"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:模式",
                        "operator": "+=",
                        "value": "'通关魔塔'"
                    }
                ]
            },
            {
                "type": "choices",
                "text": "请选择榜单。",
                "choices": [
                    {
                        "text": "生命值",
                        "action": [
                            {
                                "type": "win",
                                "reason": "${flag:模式}（生命）"
                            }
                        ]
                    },
                    {
                        "text": "成就数",
                        "action": [
                            {
                                "type": "setValue",
                                "name": "status:hp",
                                "value": "Object.keys(flag:achievements).length"
                            },
                            {
                                "type": "win",
                                "reason": "${flag:模式}（成就）"
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}