main.floors.ac=
{
    "floorId": "ac",
    "title": "成就博物馆",
    "name": "成就博物馆",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": false,
    "images": [],
    "ratio": 3,
    "defaultGround": "ground",
    "bgm": "Coffee.mp3",
    "firstArrive": [
        {
            "type": "function",
            "function": "function(){\ncore.plugin.achieve(\"a301\");\n}"
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "3,3": [
            {
                "type": "changeFloor",
                "floorId": "MT35",
                "loc": [
                    3,
                    4
                ],
                "direction": "down"
            }
        ],
        "9,3": [
            "一个精美的大理石台阶。\n只是装饰品。",
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a306\");\n}"
            }
        ],
        "3,9": [
            {
                "type": "insert",
                "name": "蓝象计数"
            },
            "\t[null,N335]中间的桌子可以确认本地游戏存档所达成过的成就。\n通关后再来确认会有惊喜。",
            "\t[null,N335]请在本次鸽窝杯造塔比赛中为本塔投出宝贵的一票，非常感谢。",
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a307\");\n}"
            },
            "\t[null,N335]蓝象游戏合集已经在steam上架，也请多多关注。"
        ],
        "9,9": [
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a305\");\n}"
            },
            "\t[EYEZMAZE,N331]有人说只要在塔里放各种作者就可以让人猜不出来真正的作者，所以我就来了。",
            "\t[EYEZMAZE,N331]\\d\r[blue]E\r[black]YEZ\r[blue]M\r[black]AZE\r\\d的游戏现已使用ruffle支持，不再需要flash环境了。\n只需打开\\d\r[blue]E\r[black]YEZ\r[blue]M\r[black]AZE\r.com\\d就可以游玩了。\n我在B站也有自己的账号，请多多指教。"
        ],
        "6,9": [
            {
                "type": "if",
                "condition": "(!switch:A)",
                "true": [
                    {
                        "type": "setValue",
                        "name": "switch:A",
                        "value": "true"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:抽奖箱",
                        "value": "[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50]"
                    }
                ]
            },
            {
                "type": "if",
                "condition": "flag:抽奖箱.length",
                "true": [
                    "一个小箱子，里面装着许多小纸片。\n上面写着三个字：抽奖盒。",
                    {
                        "type": "while",
                        "condition": "flag:抽奖箱.length",
                        "data": [
                            {
                                "type": "confirm",
                                "text": "要抽一张吗？",
                                "yes": [
                                    {
                                        "type": "setValue",
                                        "name": "flag:抽奖",
                                        "value": "flag:抽奖箱.splice(core.rand(flag:抽奖箱.length),1)"
                                    },
                                    {
                                        "type": "if",
                                        "condition": "(flag:抽奖[0]===7)",
                                        "true": [
                                            {
                                                "type": "function",
                                                "function": "function(){\ncore.plugin.achieve(\"a303\");\n}"
                                            }
                                        ]
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "flag:小短句",
                                        "value": "['豪放的荧光笔色。','粗粗的铅笔印。','上面有水渍。','叠的方方正正。','满是折痕。','糖纸。','办公室常见的打印纸。','花印纸。','写的很认真。','餐巾纸。','画了个笑脸。','上面有圆珠笔印。','从练习簿撕下来的。','还带着毛刺。','手写体。']"
                                    },
                                    "你抽出了一张写着${flag:抽奖}数字的小纸片。\n${flag:小短句[core.rand(flag:小短句.length)]}"
                                ],
                                "no": [
                                    {
                                        "type": "break",
                                        "n": 1
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "flag:抽奖箱.length",
                        "true": [],
                        "false": [
                            {
                                "type": "function",
                                "function": "function(){\ncore.plugin.achieve(\"a304\");\n}"
                            },
                            "抽奖箱空了！"
                        ]
                    }
                ],
                "false": [
                    "一个抽奖箱，里面已经被抽空了。"
                ]
            }
        ],
        "6,6": [
            {
                "type": "function",
                "function": "function(){\ncore.plugin.achieve(\"a302\");\n}"
            },
            {
                "type": "if",
                "condition": "core.plugin.AchievementsFlags('a400',true)",
                "true": [
                    {
                        "type": "if",
                        "condition": "(!switch:A)",
                        "true": [
                            "成就档案解锁了新的内容！\n你现在也可以在记事本中查看额外内容！",
                            {
                                "type": "setValue",
                                "name": "switch:A",
                                "value": "true"
                            }
                        ]
                    }
                ]
            },
            {
                "type": "setValue",
                "name": "flag:历史成就",
                "value": "true"
            },
            {
                "type": "insert",
                "name": "记事本"
            },
            {
                "type": "setValue",
                "name": "flag:历史成就",
                "value": "false"
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [321,321,321,321,321,321,321,321,321,321,321,321,321],
    [321,  0,  0,  0,  0,  0,321,  0,  0,  0,  0,  0,321],
    [321,  0,  0,  0,  0,  0,321,  0,  0,  0,  0,  0,321],
    [321,  0,  0, 89,  0,  0,321,  0,  0, 87,  0,  0,321],
    [321,  0,  0,  0,  0,  0,321,  0,  0,  0,  0,  0,321],
    [321,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,321],
    [321,321,321,321,321,  0,10160,  0,321,321,321,321,321],
    [321,  0,  0,  0,  0,  0,10176,  0,  0,  0,  0,  0,321],
    [321,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,321],
    [321,  0,  0,335,  0,  0,10239,  0,  0,331,  0,  0,321],
    [321,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,321],
    [321,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,321],
    [321,321,321,321,321,321,321,321,321,321,321,321,321]
],
    "bgmap": [

],
    "fgmap": [

],
    "cannotViewMap": true
}